SystemOrganization addCategory: #'SimpleApplescript-Specification'!

TestCase subclass: #ApplescriptSpecification
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimpleApplescript-Specification'!

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/8/2012 10:09'!
testDoIt

	| result |
	result := Applescript doIt: 'tell application "Finder"
	get item 1 of {"one", "two", "three"}
end tell'.
	self assert: result equals: 'one'.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 12/6/2011 09:48'!
testDoItError

	self should: [ Applescript doIt: 'get item 1 of {"one"'] raise: Error whoseDescriptionIncludes: 'syntax error:' description: ''.
! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/8/2012 10:14'!
testDoItReturningDate

	| result |
	result := Applescript doIt: 'date "Wednesday, May 25, 2005 12:00:00 AM"'.
	self assert: result equals: 'May 25, 2005 12:00:00AM' asDateAndTime.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/6/2012 16:15'!
testDoItReturningFalse

	| result |
	result := Applescript doIt: 'false'.
	self assert: result equals: false.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/8/2012 10:11'!
testDoItReturningList

	| result |
	result := Applescript doIt: 'tell application "Finder"
	get {"one", "two", "three"}
end tell'.
	self assert: result equals: { 'one'. 'two'. 'three' }.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/8/2012 10:10'!
testDoItReturningString

	| result |
	result := Applescript doIt: '"a string"'.
	self assert: result equals: 'a string'.! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 8/6/2012 16:15'!
testDoItReturningTrue

	| result |
	result := Applescript doIt: 'true'.
	self assert: result equals: true.! !
